html {
    font-size: 62.5%;
}

body {
    font-family: sans-serif;
    font-size: 1.8rem;
    text-align: center;
    margin: 1em;
}

h1 {
    font-size: 2.8rem;
    color: #111;
}

select {
    margin: .5em;
    padding: .5em;
    background: #f6f6f6;
    font-size: 1.8rem;
    color: #111;
    max-width: 90%;
}

button {
    padding: 1em;
    background: #fff0c6;
    border: 1px solid #ffb188;
    border-radius: 8px;
    font-size: 2rem;
    font-weight: bold;
    color: #111;
    max-width: 200px;
}

a:hover,
button:hover {
    opacity: .7;
}

.formblk {
    display: none;
    margin: 1em 0;
    border-radius: 8px;
    width: 100%;
}

label {
    display: block;
    border-radius: 8px 8px 0 0;
    background: #666;
    color: #fff;
    font-weight: bold;
    width: 90%;
    margin: 0 auto;
    padding: .3em;
}

.container {
    border: 1px solid #333;
    border-radius: 8px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 4em .5em 5em .5em;
    height: 100%;
}

.resultblk .res {
    font-weight: bold;
    color: #fff;
    background: #42a95c;
    padding: .8em 1em;
    border-radius: 8px;
    font-size: 1.1em;
}

.resultblk .res.no {
    background: #1750c3;
}

.resultblk a.res {
    background: #ff4b27;
    border: 0;
    text-decoration: underline;
}

.container a {
    text-decoration: none;
    color: #111;
    border: 1px solid #333;
    border-radius: 8px;
    padding: .2em 3em;
    margin-top: 2em;
    display: inline-block;
}

#loading {
    width: 100vw;
    height: 100vh;
    background-color: #fff;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: opacity 0.5s ease;
}


.spinner {
    width: 50px;
    height: 50px;
    border: 5px solid #ccc;
    border-top-color: #333;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}

.loaded {
    opacity: 0;
    visibility: hidden;
}